<template>
  <v-row justify="center" class="pa-5">
    <v-col md="8" cols="12">
      <v-row>
        <v-col cols="12">
          <h2 class="subtitle-1">DATOS DE LA CITA</h2>
          <v-row>
            <v-col md="6" cols="12" class="first-col">
              <p>
                <v-icon color="primary">mdi-calendar-outline</v-icon>
                {{ date }}
              </p>
              <p>
                <v-icon color="primary">mdi-clock-outline</v-icon>
                {{ timeSelected }}
              </p>
            </v-col>
            <v-col md="6" cols="12" class="second-col">
              <p>
                <v-icon color="primary">mdi-laptop</v-icon>
                Reunión virtual
              </p>
            </v-col>
          </v-row>
        </v-col>
        <v-col cols="12">
          <v-row>
            <v-col md="6" cols="12">
              <h2 class="subtitle-1">PACIENTE</h2>
              <div class="v-container-patient">
                <ImagePhoto />
                <h3 class="font-weight-medium">
                  {{ userName }}
                </h3>
              </div>
            </v-col>
            <v-col md="6" cols="12">
              <h2 class="subtitle-1">ESPECIALISTA</h2>
              <div class="v-container-patient">
                <ImagePhoto
                  v-if="specialist !== null"
                  :photo="
                    tab === 0
                      ? specialist.user.profileImageUrl
                        ? specialist.user.profileImageUrl
                        : noPhoto
                      : specialist.profileImage
                      ? specialist.profileImage
                      : noPhoto
                  "
                />
                <div v-if="specialist !== undefined && specialist != null">
                  <h3 v-if="tab !== 1" class="font-weight-medium">
                    {{
                      specialist.user.name +
                      " " +
                      specialist.user.fatherLastname +
                      " " +
                      specialist.user.motherLastname
                    }}
                  </h3>
                  <h3 v-else class="font-weight-medium">
                    {{
                      specialist.user.name +
                      " " +
                      specialist.user.fatherLastname +
                      " " +
                      specialist.user.motherLastname
                    }}
                  </h3>
                </div>
              </div>
            </v-col>
          </v-row>
        </v-col>
      </v-row>
    </v-col>
  </v-row>
</template>

<script>
import { mapGetters } from 'vuex';
import ImagePhoto from '~/components/appointment/ImagePhoto';
import { formatAMPM } from '~/helpers/time';

export default {
  name: 'AppointmentResume',
  components: {
    ImagePhoto,
  },
  props: {
    answerOne: { default: null },
    answerTwo: {
      type: String,
      default: '',
    },
    answerThree: {
      type: String,
      default: '',
    },
    date: {
      type: String,
      default: '',
    },
    specialist: { default: null },
    indexAvailability: Number,
    timeSelected: {
      type: String,
      default: '',
    },
    tab: {
      type: Number,
      default: 0,
    },
  },
  computed: {
    ...mapGetters({
      userName: 'auth/myUserName',
    }),
  },
  data: () => ({
    noPhoto:
      'https://developers.google.cn/web/images/contributors/no-photo.jpg?hl=es',
  }),
  methods: {
    formatAvailable(date) {
      const availableIni = new Intl.DateTimeFormat("es-Es", {
        hour: "2-digit",
        minute: "2-digit",
      }).format(new Date(date.startTime));
      return availableIni + " Horas";
    },
    formatTime(time) {
      const newtime = formatAMPM(time);
    }
  },
};
</script>
<style scoped lang="scss">
.v-container-patient {
  display: flex;
  align-items: center;
}
@media only screen and (max-width: 960px) {
  .first-col {
    padding-bottom: 0px;
  }
  .second-col {
    padding-top: 0px;
  }
}
</style>
